%define tarname http-access
%define tarvers 2_0_0
Summary: proposed successor to RAA:http-access
Name: ruby-http-access2
Version: 2.0
Release: 1
License: GPL
Group: Applications/Ruby
Source: http://www.jin.gr.jp/~nahi/Ruby/http-access/%{tarname}-%{tarvers}.tar.gz
URL: http://www.ruby-lang.org/en/raa-list.rhtml?name=http-access2
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby >= 1.6.7

%description
Another HTTP access module for Ruby, proposed to be the successor to
http-access.

%prep
%setup -n %{tarname}-%{tarvers}

%install
rm -rf $RPM_BUILD_ROOT
ruby -i -pe "sub(/(CONFIG\[\"sitedir\"])/, '\"$RPM_BUILD_ROOT\" + \1')" \
	install.rb
ruby install.rb
find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
#%doc -P sample/

%changelog
* Sat Sep 13 2003 Ian Macdonald <ian@caliban.org> 2.0-1
- 2.0

* Fri Jan 10 2003 Ian Macdonald <ian@caliban.org> j-1
- j

* Sat Oct  5 2002 Ian Macdonald <ian@caliban.org> H-1
- H

* Tue Sep 17 2002 Ian Macdonald <ian@caliban.org> G-1
- G

* Tue May 28 2002 Ian Macdonald <ian@caliban.org> F-1
- F

* Tue Apr 30 2002 Ian Macdonald <ian@caliban.org> E-1
- E

* Tue Apr 10 2002 Ian Macdonald <ian@caliban.org> D-1
- D
